﻿using System;
using System.Collections.Generic;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace ACBWebServiceProvider
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            this.InitializeComponent();
            WebServiceAutoCompleteProvider webServiceProvider = new WebServiceAutoCompleteProvider();
            this.autoCompleteBox.InitSuggestionsProvider(webServiceProvider);
            webServiceProvider.InputChanged += this.OnWebServiceProvider_InputChanged;
        }

        private void OnWebServiceProvider_InputChanged(object sender, EventArgs e)
        {
            var provider = sender as WebServiceAutoCompleteProvider;
            var input = provider.InputString;
            // Perform the data request to the remote auto-complete service and use the LoadSuggestions method
            (sender as WebServiceAutoCompleteProvider).LoadSuggestions( new List<string> { "suggestion 1", "suggestion 2" });
        }
    }
}